<?php

namespace Drupal\vote\TypedData\Options;

use Drupal\Core\Session\AccountInterface;
use Drupal\rules\TypedData\Options\OptionsProviderBase;

/**
 * Options provider for the types of field access to check for.
 */
class VoteResultQuality extends OptionsProviderBase {

  const QUALITY_GOOD = 'good';
  const QUALITY_BAD = 'bad';
  const QUALITY_NEUTRAL = 'neutral';

  /**
   * {@inheritdoc}
   */
  public function getPossibleOptions(AccountInterface $account = NULL): array {
    return [
      self::QUALITY_GOOD => $this->t('Good'),
      self::QUALITY_NEUTRAL => $this->t('Neutral'),
      self::QUALITY_BAD => $this->t('Bad')
    ];
  }

}
